1. Market Data
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Market Data

Get market price history

GET
/api/market/price-history
Gets price trend data by Polymarket CLOB token ID. The returned percentValue is suitable for the Y-axis of frontend trend charts, while originalPrice preserves the raw 0-1 price.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/market/price-history?tokenId=12345678901234567890&interval=1h&range=1d&startTs=1778832000000&endTs=1778918400000&fidelity=60' \
--header 'Accept-Language: zh_CN'

Responses

🟢200
application/json
Query successful
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "Operation successful",
    "data": [
        {
            "time": "14:05",
            "timestamp": 1778836260000,
            "percentValue": 40.5,
            "originalPrice": 0.405
        },
        {
            "time": "15:05",
            "timestamp": 1778839860000,
            "percentValue": 43.2,
            "originalPrice": 0.432
        }
    ]
}
🟠400
🔴500ServerError
Modified at 2026-05-19 02:21:34
Previous
Get match team information in batch
Next
Get order books in batch
Built with